
From: Reuben Farrelly <reuben-lkml@reub.net>

With gcc-4.0:

fs/nfs/nfs4proc.c:2976: error: static declaration of 
'nfs4_file_inode_operations' follows non-static declaration
fs/nfs/nfs4_fs.h:179: error: previous declaration of 
'nfs4_file_inode_operations' was here

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfs/nfs4_fs.h |    1 -
 1 files changed, 1 deletion(-)

diff -puN fs/nfs/nfs4_fs.h~bk-nfs-gcc4-fix fs/nfs/nfs4_fs.h
--- 25/fs/nfs/nfs4_fs.h~bk-nfs-gcc4-fix	Thu Mar 24 16:06:08 2005
+++ 25-akpm/fs/nfs/nfs4_fs.h	Thu Mar 24 16:06:08 2005
@@ -176,7 +176,6 @@ struct nfs4_state_recovery_ops {
 
 extern struct dentry_operations nfs4_dentry_operations;
 extern struct inode_operations nfs4_dir_inode_operations;
-extern struct inode_operations nfs4_file_inode_operations;
 
 /* inode.c */
 extern ssize_t nfs4_getxattr(struct dentry *, const char *, void *, size_t);
_
